# Changelog

All notable changes to AgentiCraft will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.1.0] - 2025-01-XX

### Added
- Initial release of AgentiCraft
- Core Agent functionality with transparent reasoning
- Tool system with decorator-based interface
- Simple step-based workflows
- Two-tier memory system (Conversation and Knowledge)
- Support for multiple LLM providers (OpenAI, Anthropic, Google, Ollama)
- Model Context Protocol (MCP) integration
- Built-in observability with OpenTelemetry
- Plugin architecture
- Comprehensive documentation
- Production-ready templates
- CLI tool for project scaffolding

### Security
- Safe tool execution with validation
- Configurable security settings
- Domain allowlist for web requests

## [Unreleased]

### Planned
- Additional provider integrations
- Enhanced MCP capabilities
- More production templates
- Performance optimizations
